c64 Class Reference

`#include <c64.h>`

Inheritance diagram for c64:

## Public Types

enum | model_t { PAL_B = 0, NTSC_M, OLD_NTSC_M, PAL_N }

## Public Member Functions

void | debug (bool enable, FILE *out)
void | reset ()
void | resetCpu ()
void | setModel (model_t model)
void | setRoms (const uint8_t *kernal, const uint8_t *basic, const uint8_t *character)
double | getMainCpuSpeed () const
void | setBaseSid (c64sid *s)
bool | addExtraSid (c64sid *s, int address)
void | clearSids ()
sidmemory * | getMemInterface ()
uint_least16_t | getCia1TimerA () const
EventScheduler * | getEventScheduler ()
const EventScheduler & | getEventScheduler () const
const char * | cpuCredits () const
const char * | ciaCredits () const
const char * | vicCredits () const

## Detailed Description

Commodore 64 emulation core.

It consists of the following chips:

- CPU 6510
- VIC-II 6567/6569/6572
- CIA 6526
- SID 6581/8580
- PLA 7700/82S100
- Color RAM 2114
- System RAM 4164-20/50464-150
- Character ROM 2332
- Basic ROM 2364
- Kernal ROM 2364

## Member Enumeration Documentation

enum c64::model_t

Enumerator
PAL_B | PAL C64.
NTSC_M | NTSC C64.
OLD_NTSC_M | Old NTSC C64.
PAL_N | C64 Drean.

## Member Function Documentation

bool c64::addExtraSid | ( | c64sid * | s,
|  | int | address
| ) |  |

Add an extra SID.

Parameters

  s | the sid emu to set
  sidAddress | base address (e.g. 0xd420)

Returns
  false if address is unsupported

const char* c64::ciaCredits | ( |  | ) | const

inline

Get the components credits

void c64::clearSids | ( |  | ) |

Remove all the SIDs.

const char* c64::cpuCredits | ( |  | ) | const

inline

Get the components credits

EventScheduler* c64::getEventScheduler | ( |  | ) |

inline

Get C64's event scheduler

Returns
  the scheduler

const EventScheduler& c64::getEventScheduler | ( |  | ) | const

inline

Get C64's event scheduler

Returns
  the scheduler

double c64::getMainCpuSpeed | ( |  | ) | const

inline

Get the CPU clock speed.

Returns
  the speed in Hertz

void c64::setBaseSid | ( | c64sid * | s | ) |

Set the base SID.

Parameters

  s | the sid emu to set

void c64::setModel | ( | model_t | model | ) |

Set the c64 model.

const char* c64::vicCredits | ( |  | ) | const

inline

Get the components credits

The documentation for this class was generated from the following files:

- c64.h
- c64.cpp